<?php

/**
*
* @author oddfish (Guy Gardner) oddfish@oddfishs.com
* @package umil
* @version $Id cf_install.php 1.2.0 2009-09-24 16:11:00Z oddfish $
* @copyright (c) 2009 oddfish
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/
define('UMIL_AUTO', true);
define('IN_PHPBB', true);
$phpbb_root_path = (defined('PHPBB_ROOT_PATH')) ? PHPBB_ROOT_PATH : './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);
include($phpbb_root_path . 'common.' . $phpEx);
$user->session_begin();
$auth->acl($user->data);
$user->setup();

if (!file_exists($phpbb_root_path . 'umil/umil_auto.' . $phpEx))
{
	trigger_error('Please download the latest UMIL (Unified MOD Install Library) from: <a href="http://www.phpbb.com/mods/umil/">phpBB.com/mods/umil</a>', E_USER_ERROR);
}

// The name of the mod to be displayed during installation.
$mod_name = 'Country Flags User Edition';

/*
* The name of the config variable which will hold the currently installed version
* You do not need to set this yourself, UMIL will handle setting and updating the version itself.
*/
$version_config_name = 'cfue_version';

/*
* The language file which will be included when installing
* Language entries that should exist in the language file for UMIL (replace $mod_name with the mod's name you set to $mod_name above)
* $mod_name
* 'INSTALL_' . $mod_name
* 'INSTALL_' . $mod_name . '_CONFIRM'
* 'UPDATE_' . $mod_name
* 'UPDATE_' . $mod_name . '_CONFIRM'
* 'UNINSTALL_' . $mod_name
* 'UNINSTALL_' . $mod_name . '_CONFIRM'

$language_file = 'mods/umil_auto_example';
*/
/*
* Optionally we may specify our own logo image to show in the upper corner instead of the default logo.
* $phpbb_root_path will get prepended to the path specified
* Image height should be 50px to prevent cut-off or stretching.
*/
//$logo_img = 'styles/prosilver/imageset/site_logo.gif';

/*
* The array of versions and actions within each.
* You do not need to order it a specific way (it will be sorted automatically), however, you must enter every version, even if no actions are done for it.
*
* You must use correct version numbering.  Unless you know exactly what you can use, only use X.X.X (replacing X with an integer).
* The version numbering must otherwise be compatible with the version_compare function - http://php.net/manual/en/function.version-compare.php
*/
$versions = array(
	// Version 1.2.0
	'1.2.0'	=> array(
		// Lets add a config and set it to true
		'config_add' => array(
			array('require_flag', '1'),
			array('flags_path', 'images/flags'),
		),

		// Now to add some permission settings
		'permission_add' => array(
			array('a_flags', '1'),
		),

		// How about we give some default permissions then as well?
		'permission_set' => array(
			// Global Role permissions
			array('ROLE_ADMIN_FULL', 'a_flags'),
		),

		// Lets add a new column to phpbb_users
		'table_column_add' => array(
			array('phpbb_users', 'user_flag', array('VCHAR:2', '')),
		),

		// Now to add a table (this uses the layout from develop/create_schema_files.php and from phpbb_db_tools)
		'table_add' => array(
			array('phpbb_flags', array(
					'COLUMNS'		=> array(
						'flag_id'		=> array('UINT', NULL, 'auto_increment'),
						'flag_country'	=> array('XSTEXT_UNI', ''),
						'flag_code'		=> array('VCHAR:2', ''),
						'flag_image'	=> array('XSTEXT_UNI', ''),
					),
					'PRIMARY_KEY'	=> 'flag_id',
				),
			),
		),

		// Fill with flags.
		'table_row_insert'	=> array(
			array('phpbb_flags', array(
				array(
					'flag_country'	=> 'Afghanistan',
					'flag_code'		=> 'af',
					'flag_image'	=> 'af.png',
				),
				array(
					'flag_country'	=> 'Aland Islands',
					'flag_code'		=> 'ax',
					'flag_image'	=> 'ax.png',
				),
				array(
					'flag_country'	=> 'Albania',
					'flag_code'		=> 'al',
					'flag_image'	=> 'al.png',
				),
				array(
					'flag_country'	=> 'Algeria',
					'flag_code'		=> 'dz',
					'flag_image'	=> 'dz.png',
				),
				array(
					'flag_country'	=> 'American Samoa',
					'flag_code'		=> 'as',
					'flag_image'	=> 'as.png',
				),
				array(
					'flag_country'	=> 'Andorra',
					'flag_code'		=> 'ad',
					'flag_image'	=> 'ad.png',
				),
				array(
					'flag_country'	=> 'Angola',
					'flag_code'		=> 'ao',
					'flag_image'	=> 'ao.png',
				),
				array(
					'flag_country'	=> 'Anguilla',
					'flag_code'		=> 'ai',
					'flag_image'	=> 'ai.png',
				),
				array(
					'flag_country'	=> 'Antarctica',
					'flag_code'		=> 'aq',
					'flag_image'	=> 'aq.png',
				),
				array(
					'flag_country'	=> 'Antigua and Barbuda',
					'flag_code'		=> 'ag',
					'flag_image'	=> 'ag.png',
				),
				array(
					'flag_country'	=> 'Argentina',
					'flag_code'		=> 'ar',
					'flag_image'	=> 'ar.png',
				),
				array(
					'flag_country'	=> 'Armenia',
					'flag_code'		=> 'am',
					'flag_image'	=> 'am.png',
				),
				array(
					'flag_country'	=> 'Aruba',
					'flag_code'		=> 'aw',
					'flag_image'	=> 'aw.png',
				),
				array(
					'flag_country'	=> 'Ascension Island',
					'flag_code'		=> 'ac',
					'flag_image'	=> 'ac.png',
				),
				array(
					'flag_country'	=> 'Australia',
					'flag_code'		=> 'au',
					'flag_image'	=> 'au.png',
				),
				array(
					'flag_country'	=> 'Austria',
					'flag_code'		=> 'at',
					'flag_image'	=> 'at.png',
				),
				array(
					'flag_country'	=> 'Azerbaijan',
					'flag_code'		=> 'az',
					'flag_image'	=> 'az.png',
				),
				array(
					'flag_country'	=> 'Bahamas',
					'flag_code'		=> 'bs',
					'flag_image'	=> 'bs.png',
				),
				array(
					'flag_country'	=> 'Bahrain',
					'flag_code'		=> 'bh',
					'flag_image'	=> 'bh.png',
				),
				array(
					'flag_country'	=> 'Bangladesh',
					'flag_code'		=> 'bd',
					'flag_image'	=> 'bd.png',
				),
				array(
					'flag_country'	=> 'Barbados',
					'flag_code'		=> 'bb',
					'flag_image'	=> 'bb.png',
				),
				array(
					'flag_country'	=> 'Belarus',
					'flag_code'		=> 'by',
					'flag_image'	=> 'by.png',
				),
				array(
					'flag_country'	=> 'Belgium',
					'flag_code'		=> 'be',
					'flag_image'	=> 'be.png',
				),
				array(
					'flag_country'	=> 'Belize',
					'flag_code'		=> 'bz',
					'flag_image'	=> 'bz.png',
				),
				array(
					'flag_country'	=> 'Benin',
					'flag_code'		=> 'bj',
					'flag_image'	=> 'bj.png',
				),
				array(
					'flag_country'	=> 'Bermuda',
					'flag_code'		=> 'bm',
					'flag_image'	=> 'bm.png',
				),
				array(
					'flag_country'	=> 'Bhutan',
					'flag_code'		=> 'bt',
					'flag_image'	=> 'bt.png',
				),
				array(
					'flag_country'	=> 'Bolivia',
					'flag_code'		=> 'bo',
					'flag_image'	=> 'bo.png',
				),
				array(
					'flag_country'	=> 'Bosnia and Herzegowina',
					'flag_code'		=> 'ba',
					'flag_image'	=> 'ba.png',
				),
				array(
					'flag_country'	=> 'Botswana',
					'flag_code'		=> 'bw',
					'flag_image'	=> 'bw.png',
				),
				array(
					'flag_country'	=> 'Bouvet Island',
					'flag_code'		=> 'bv',
					'flag_image'	=> 'bv.png',
				),
				array(
					'flag_country'	=> 'Brazil',
					'flag_code'		=> 'br',
					'flag_image'	=> 'br.png',
				),
				array(
					'flag_country'	=> 'British Indian Ocean Territory',
					'flag_code'		=> 'io',
					'flag_image'	=> 'io.png',
				),
				array(
					'flag_country'	=> 'Brunei',
					'flag_code'		=> 'bn',
					'flag_image'	=> 'bn.png',
				),
				array(
					'flag_country'	=> 'Bulgaria',
					'flag_code'		=> 'bg',
					'flag_image'	=> 'bg.png',
				),
				array(
					'flag_country'	=> 'Burkina Faso',
					'flag_code'		=> 'bf',
					'flag_image'	=> 'bf.png',
				),
				array(
					'flag_country'	=> 'Burundi',
					'flag_code'		=> 'bi',
					'flag_image'	=> 'bi.png',
				),
				array(
					'flag_country'	=> 'Cambodia',
					'flag_code'		=> 'kh',
					'flag_image'	=> 'kh.png',
				),
				array(
					'flag_country'	=> 'Cameroon',
					'flag_code'		=> 'cm',
					'flag_image'	=> 'cm.png',
				),
				array(
					'flag_country'	=> 'Canada',
					'flag_code'		=> 'ca',
					'flag_image'	=> 'ca.png',
				),
				array(
					'flag_country'	=> 'Cape Verde',
					'flag_code'		=> 'cv',
					'flag_image'	=> 'cv.png',
				),
				array(
					'flag_country'	=> 'Cayman Islands',
					'flag_code'		=> 'ky',
					'flag_image'	=> 'ky.png',
				),
				array(
					'flag_country'	=> 'Central African Republic',
					'flag_code'		=> 'cf',
					'flag_image'	=> 'cf.png',
				),
				array(
					'flag_country'	=> 'Chad',
					'flag_code'		=> 'td',
					'flag_image'	=> 'td.png',
				),
				array(
					'flag_country'	=> 'Chile',
					'flag_code'		=> 'cl',
					'flag_image'	=> 'cl.png',
				),
				array(
					'flag_country'	=> 'China',
					'flag_code'		=> 'cn',
					'flag_image'	=> 'cn.png',
				),
				array(
					'flag_country'	=> 'Christmas Island',
					'flag_code'		=> 'cx',
					'flag_image'	=> 'cx.png',
				),
				array(
					'flag_country'	=> 'Cocos (Keeling) Islands',
					'flag_code'		=> 'cc',
					'flag_image'	=> 'cc.png',
				),
				array(
					'flag_country'	=> 'Colombia',
					'flag_code'		=> 'co',
					'flag_image'	=> 'co.png',
				),
				array(
					'flag_country'	=> 'Comoros',
					'flag_code'		=> 'km',
					'flag_image'	=> 'km.png',
				),
				array(
					'flag_country'	=> 'Congo',
					'flag_code'		=> 'cg',
					'flag_image'	=> 'cg.png',
				),
				array(
					'flag_country'	=> 'Congo, Democratic Republic of',
					'flag_code'		=> 'cd',
					'flag_image'	=> 'cd.png',
				),
				array(
					'flag_country'	=> 'Cook Islands',
					'flag_code'		=> 'ck',
					'flag_image'	=> 'ck.png',
				),
				array(
					'flag_country'	=> 'Costa Rica',
					'flag_code'		=> 'cr',
					'flag_image'	=> 'cr.png',
				),
				array(
					'flag_country'	=> 'Cote d\'Ivoire',
					'flag_code'		=> 'ci',
					'flag_image'	=> 'ci.png',
				),
				array(
					'flag_country'	=> 'Croatia',
					'flag_code'		=> 'hr',
					'flag_image'	=> 'hr.png',
				),
				array(
					'flag_country'	=> 'Cuba',
					'flag_code'		=> 'cu',
					'flag_image'	=> 'cu.png',
				),
				array(
					'flag_country'	=> 'Cyprus',
					'flag_code'		=> 'cy',
					'flag_image'	=> 'cy.png',
				),
				array(
					'flag_country'	=> 'Czech Republic',
					'flag_code'		=> 'cz',
					'flag_image'	=> 'cz.png',
				),
				array(
					'flag_country'	=> 'Denmark',
					'flag_code'		=> 'dk',
					'flag_image'	=> 'dk.png',
				),
				array(
					'flag_country'	=> 'Djibouti',
					'flag_code'		=> 'dj',
					'flag_image'	=> 'dj.png',
				),
				array(
					'flag_country'	=> 'Dominica',
					'flag_code'		=> 'dm',
					'flag_image'	=> 'dm.png',
				),
				array(
					'flag_country'	=> 'Dominican Republic',
					'flag_code'		=> 'do',
					'flag_image'	=> 'do.png',
				),
				array(
					'flag_country'	=> 'Ecuador',
					'flag_code'		=> 'ec',
					'flag_image'	=> 'ec.png',
				),
				array(
					'flag_country'	=> 'Egypt',
					'flag_code'		=> 'eg',
					'flag_image'	=> 'eg.png',
				),
				array(
					'flag_country'	=> 'El Salvador',
					'flag_code'		=> 'sv',
					'flag_image'	=> 'sv.png',
				),
				array(
					'flag_country'	=> 'Equatorial Guinea',
					'flag_code'		=> 'gq',
					'flag_image'	=> 'gq.png',
				),
				array(
					'flag_country'	=> 'Eritrea',
					'flag_code'		=> 'er',
					'flag_image'	=> 'er.png',
				),
				array(
					'flag_country'	=> 'Estonia',
					'flag_code'		=> 'ee',
					'flag_image'	=> 'ee.png',
				),
				array(
					'flag_country'	=> 'Ethiopia',
					'flag_code'		=> 'et',
					'flag_image'	=> 'et.png',
				),
				array(
					'flag_country'	=> 'Falkland Islands',
					'flag_code'		=> 'fk',
					'flag_image'	=> 'fk.png',
				),
				array(
					'flag_country'	=> 'Faroe Islands',
					'flag_code'		=> 'fo',
					'flag_image'	=> 'fo.png',
				),
				array(
					'flag_country'	=> 'Fiji',
					'flag_code'		=> 'fj',
					'flag_image'	=> 'fj.png',
				),
				array(
					'flag_country'	=> 'Finland',
					'flag_code'		=> 'fi',
					'flag_image'	=> 'fi.png',
				),
				array(
					'flag_country'	=> 'France',
					'flag_code'		=> 'fr',
					'flag_image'	=> 'fr.png',
				),
				array(
					'flag_country'	=> 'French Guiana',
					'flag_code'		=> 'gf',
					'flag_image'	=> 'gf.png',
				),
				array(
					'flag_country'	=> 'French Polynesia',
					'flag_code'		=> 'pf',
					'flag_image'	=> 'pf.png',
				),
				array(
					'flag_country'	=> 'French Southern Territories',
					'flag_code'		=> 'tf',
					'flag_image'	=> 'tf.png',
				),
				array(
					'flag_country'	=> 'Gabon',
					'flag_code'		=> 'ga',
					'flag_image'	=> 'ga.png',
				),
				array(
					'flag_country'	=> 'Gambia',
					'flag_code'		=> 'gm',
					'flag_image'	=> 'gm.png',
				),
				array(
					'flag_country'	=> 'Georgia',
					'flag_code'		=> 'ge',
					'flag_image'	=> 'ge.png',
				),
				array(
					'flag_country'	=> 'Germany',
					'flag_code'		=> 'de',
					'flag_image'	=> 'de.png',
				),
				array(
					'flag_country'	=> 'Ghana',
					'flag_code'		=> 'gh',
					'flag_image'	=> 'gh.png',
				),
				array(
					'flag_country'	=> 'Gibraltar',
					'flag_code'		=> 'gi',
					'flag_image'	=> 'gi.png',
				),
				array(
					'flag_country'	=> 'Greece',
					'flag_code'		=> 'gr',
					'flag_image'	=> 'gr.png',
				),
				array(
					'flag_country'	=> 'Greenland',
					'flag_code'		=> 'gl',
					'flag_image'	=> 'gl.png',
				),
				array(
					'flag_country'	=> 'Grenada',
					'flag_code'		=> 'gd',
					'flag_image'	=> 'gd.png',
				),
				array(
					'flag_country'	=> 'Guadeloupe',
					'flag_code'		=> 'gp',
					'flag_image'	=> 'gp.png',
				),
				array(
					'flag_country'	=> 'Guam',
					'flag_code'		=> 'gu',
					'flag_image'	=> 'gu.png',
				),
				array(
					'flag_country'	=> 'Guatemala',
					'flag_code'		=> 'gt',
					'flag_image'	=> 'gt.png',
				),
				array(
					'flag_country'	=> 'Guernsey',
					'flag_code'		=> 'gg',
					'flag_image'	=> 'gg.png',
				),
				array(
					'flag_country'	=> 'Guinea',
					'flag_code'		=> 'gn',
					'flag_image'	=> 'gn.png',
				),
				array(
					'flag_country'	=> 'Guinea-Bissau',
					'flag_code'		=> 'gw',
					'flag_image'	=> 'gw.png',
				),
				array(
					'flag_country'	=> 'Guyana',
					'flag_code'		=> 'gy',
					'flag_image'	=> 'gy.png',
				),
				array(
					'flag_country'	=> 'Haiti',
					'flag_code'		=> 'ht',
					'flag_image'	=> 'ht.png',
				),
				array(
					'flag_country'	=> 'Heard Island and McDonald Islands',
					'flag_code'		=> 'hm',
					'flag_image'	=> 'hm.png',
				),
				array(
					'flag_country'	=> 'Holy See (Vatican City State)',
					'flag_code'		=> 'va',
					'flag_image'	=> 'va.png',
				),
				array(
					'flag_country'	=> 'Honduras',
					'flag_code'		=> 'hn',
					'flag_image'	=> 'hn.png',
				),
				array(
					'flag_country'	=> 'Hong Kong',
					'flag_code'		=> 'hk',
					'flag_image'	=> 'hk.png',
				),
				array(
					'flag_country'	=> 'Hungary',
					'flag_code'		=> 'hu',
					'flag_image'	=> 'hu.png',
				),
				array(
					'flag_country'	=> 'Iceland',
					'flag_code'		=> 'is',
					'flag_image'	=> 'is.png',
				),
				array(
					'flag_country'	=> 'India',
					'flag_code'		=> 'in',
					'flag_image'	=> 'in.png',
				),
				array(
					'flag_country'	=> 'Indonesia',
					'flag_code'		=> 'id',
					'flag_image'	=> 'id.png',
				),
				array(
					'flag_country'	=> 'Iran',
					'flag_code'		=> 'ir',
					'flag_image'	=> 'ir.png',
				),
				array(
					'flag_country'	=> 'Iraq',
					'flag_code'		=> 'iq',
					'flag_image'	=> 'iq.png',
				),
				array(
					'flag_country'	=> 'Ireland',
					'flag_code'		=> 'ie',
					'flag_image'	=> 'ie.png',
				),
				array(
					'flag_country'	=> 'Isle of Man',
					'flag_code'		=> 'im',
					'flag_image'	=> 'im.png',
				),
				array(
					'flag_country'	=> 'Israel',
					'flag_code'		=> 'il',
					'flag_image'	=> 'il.png',
				),
				array(
					'flag_country'	=> 'Italy',
					'flag_code'		=> 'it',
					'flag_image'	=> 'it.png',
				),
				array(
					'flag_country'	=> 'Jamaica',
					'flag_code'		=> 'jm',
					'flag_image'	=> 'jm.png',
				),
				array(
					'flag_country'	=> 'Japan',
					'flag_code'		=> 'jp',
					'flag_image'	=> 'jp.png',
				),
				array(
					'flag_country'	=> 'Jersey',
					'flag_code'		=> 'je',
					'flag_image'	=> 'je.png',
				),
				array(
					'flag_country'	=> 'Jordan',
					'flag_code'		=> 'jo',
					'flag_image'	=> 'jo.png',
				),
				array(
					'flag_country'	=> 'Kazakhstan',
					'flag_code'		=> 'kz',
					'flag_image'	=> 'kz.png',
				),
				array(
					'flag_country'	=> 'Kenya',
					'flag_code'		=> 'ke',
					'flag_image'	=> 'ke.png',
				),
				array(
					'flag_country'	=> 'Kiribati',
					'flag_code'		=> 'ki',
					'flag_image'	=> 'ki.png',
				),
				array(
					'flag_country'	=> 'Korea, Democratic People\'s Republic of',
					'flag_code'		=> 'kp',
					'flag_image'	=> 'kp.png',
				),
				array(
					'flag_country'	=> 'Korea, Republic of',
					'flag_code'		=> 'kr',
					'flag_image'	=> 'kr.png',
				),
				array(
					'flag_country'	=> 'Kuwait',
					'flag_code'		=> 'kw',
					'flag_image'	=> 'kw.png',
				),
				array(
					'flag_country'	=> 'Kyrgyzstan',
					'flag_code'		=> 'kg',
					'flag_image'	=> 'kg.png',
				),
				array(
					'flag_country'	=> 'Laos',
					'flag_code'		=> 'la',
					'flag_image'	=> 'la.png',
				),
				array(
					'flag_country'	=> 'Latvia',
					'flag_code'		=> 'lv',
					'flag_image'	=> 'lv.png',
				),
				array(
					'flag_country'	=> 'Lebanon',
					'flag_code'		=> 'lb',
					'flag_image'	=> 'lb.png',
				),
				array(
					'flag_country'	=> 'Lesotho',
					'flag_code'		=> 'ls',
					'flag_image'	=> 'ls.png',
				),
				array(
					'flag_country'	=> 'Liberia',
					'flag_code'		=> 'lr',
					'flag_image'	=> 'lr.png',
				),
				array(
					'flag_country'	=> 'Libyan Arab Jamahiriya',
					'flag_code'		=> 'ly',
					'flag_image'	=> 'ly.png',
				),
				array(
					'flag_country'	=> 'Liechtenstein',
					'flag_code'		=> 'li',
					'flag_image'	=> 'li.png',
				),
				array(
					'flag_country'	=> 'Lithuania',
					'flag_code'		=> 'lt',
					'flag_image'	=> 'lt.png',
				),
				array(
					'flag_country'	=> 'Luxembourg',
					'flag_code'		=> 'lu',
					'flag_image'	=> 'lu.png',
				),
				array(
					'flag_country'	=> 'Macao',
					'flag_code'		=> 'mo',
					'flag_image'	=> 'mo.png',
				),
				array(
					'flag_country'	=> 'Macedonia',
					'flag_code'		=> 'mk',
					'flag_image'	=> 'mk.png',
				),
				array(
					'flag_country'	=> 'Madagascar',
					'flag_code'		=> 'mg',
					'flag_image'	=> 'mg.png',
				),
				array(
					'flag_country'	=> 'Malawi',
					'flag_code'		=> 'mw',
					'flag_image'	=> 'mw.png',
				),
				array(
					'flag_country'	=> 'Malaysia',
					'flag_code'		=> 'my',
					'flag_image'	=> 'my.png',
				),
				array(
					'flag_country'	=> 'Maldives',
					'flag_code'		=> 'mv',
					'flag_image'	=> 'mv.png',
				),
				array(
					'flag_country'	=> 'Mali',
					'flag_code'		=> 'ml',
					'flag_image'	=> 'ml.png',
				),
				array(
					'flag_country'	=> 'Malta',
					'flag_code'		=> 'mt',
					'flag_image'	=> 'mt.png',
				),
				array(
					'flag_country'	=> 'Marshall Island',
					'flag_code'		=> 'mh',
					'flag_image'	=> 'mh.png',
				),
				array(
					'flag_country'	=> 'Martinique',
					'flag_code'		=> 'mq',
					'flag_image'	=> 'mq.png',
				),
				array(
					'flag_country'	=> 'Mauritania',
					'flag_code'		=> 'mr',
					'flag_image'	=> 'mr.png',
				),
				array(
					'flag_country'	=> 'Mauritius',
					'flag_code'		=> 'mu',
					'flag_image'	=> 'mu.png',
				),
				array(
					'flag_country'	=> 'Mayotte',
					'flag_code'		=> 'yt',
					'flag_image'	=> 'yt.png',
				),
				array(
					'flag_country'	=> 'Mexico',
					'flag_code'		=> 'mx',
					'flag_image'	=> 'mx.png',
				),
				array(
					'flag_country'	=> 'Micronesia',
					'flag_code'		=> 'fm',
					'flag_image'	=> 'fm.png',
				),
				array(
					'flag_country'	=> 'Moldova',
					'flag_code'		=> 'md',
					'flag_image'	=> 'md.png',
				),
				array(
					'flag_country'	=> 'Monaco',
					'flag_code'		=> 'mc',
					'flag_image'	=> 'mc.png',
				),
				array(
					'flag_country'	=> 'Mongolia',
					'flag_code'		=> 'mn',
					'flag_image'	=> 'mn.png',
				),
				array(
					'flag_country'	=> 'Montenegro',
					'flag_code'		=> 'me',
					'flag_image'	=> 'me.png',
				),
				array(
					'flag_country'	=> 'Montserrat',
					'flag_code'		=> 'ms',
					'flag_image'	=> 'ms.png',
				),
				array(
					'flag_country'	=> 'Morocco',
					'flag_code'		=> 'ma',
					'flag_image'	=> 'ma.png',
				),
				array(
					'flag_country'	=> 'Mozambique',
					'flag_code'		=> 'mz',
					'flag_image'	=> 'mz.png',
				),
				array(
					'flag_country'	=> 'Myanmar',
					'flag_code'		=> 'mm',
					'flag_image'	=> 'mm.png',
				),
				array(
					'flag_country'	=> 'Namibia',
					'flag_code'		=> 'na',
					'flag_image'	=> 'na.png',
				),
				array(
					'flag_country'	=> 'Nauru',
					'flag_code'		=> 'nr',
					'flag_image'	=> 'nr.png',
				),
				array(
					'flag_country'	=> 'Nepal',
					'flag_code'		=> 'np',
					'flag_image'	=> 'np.png',
				),
				array(
					'flag_country'	=> 'Netherlands',
					'flag_code'		=> 'nl',
					'flag_image'	=> 'nl.png',
				),
				array(
					'flag_country'	=> 'Netherlands Antilles',
					'flag_code'		=> 'an',
					'flag_image'	=> 'an.png',
				),
				array(
					'flag_country'	=> 'New Caledonia',
					'flag_code'		=> 'nc',
					'flag_image'	=> 'nc.png',
				),
				array(
					'flag_country'	=> 'New Zealand',
					'flag_code'		=> 'nz',
					'flag_image'	=> 'nz.png',
				),
				array(
					'flag_country'	=> 'Nicaragua',
					'flag_code'		=> 'ni',
					'flag_image'	=> 'ni.png',
				),
				array(
					'flag_country'	=> 'Niger',
					'flag_code'		=> 'ne',
					'flag_image'	=> 'ne.png',
				),
				array(
					'flag_country'	=> 'Nigeria',
					'flag_code'		=> 'ng',
					'flag_image'	=> 'ng.png',
				),
				array(
					'flag_country'	=> 'Niue',
					'flag_code'		=> 'nu',
					'flag_image'	=> 'nu.png',
				),
				array(
					'flag_country'	=> 'Norfolk Island',
					'flag_code'		=> 'nf',
					'flag_image'	=> 'nf.png',
				),
				array(
					'flag_country'	=> 'Northern Mariana Islands',
					'flag_code'		=> 'mp',
					'flag_image'	=> 'mp.png',
				),
				array(
					'flag_country'	=> 'Norway',
					'flag_code'		=> 'no',
					'flag_image'	=> 'no.png',
				),
				array(
					'flag_country'	=> 'Oman',
					'flag_code'		=> 'om',
					'flag_image'	=> 'om.png',
				),
				array(
					'flag_country'	=> 'Pakistan',
					'flag_code'		=> 'pk',
					'flag_image'	=> 'pk.png',
				),
				array(
					'flag_country'	=> 'Palau',
					'flag_code'		=> 'pw',
					'flag_image'	=> 'pw.png',
				),
				array(
					'flag_country'	=> 'Palestine',
					'flag_code'		=> 'ps',
					'flag_image'	=> 'ps.png',
				),
				array(
					'flag_country'	=> 'Panama',
					'flag_code'		=> 'pa',
					'flag_image'	=> 'pa.png',
				),
				array(
					'flag_country'	=> 'Papua New Guinea',
					'flag_code'		=> 'pg',
					'flag_image'	=> 'pg.png',
				),
				array(
					'flag_country'	=> 'Paraguay',
					'flag_code'		=> 'py',
					'flag_image'	=> 'py.png',
				),
				array(
					'flag_country'	=> 'Peru',
					'flag_code'		=> 'pe',
					'flag_image'	=> 'pe.png',
				),
				array(
					'flag_country'	=> 'Philippines',
					'flag_code'		=> 'ph',
					'flag_image'	=> 'ph.png',
				),
				array(
					'flag_country'	=> 'Pitcairn',
					'flag_code'		=> 'pn',
					'flag_image'	=> 'pn.png',
				),
				array(
					'flag_country'	=> 'Poland',
					'flag_code'		=> 'pl',
					'flag_image'	=> 'pl.png',
				),
				array(
					'flag_country'	=> 'Portugal',
					'flag_code'		=> 'pt',
					'flag_image'	=> 'pt.png',
				),
				array(
					'flag_country'	=> 'Puerto Rico',
					'flag_code'		=> 'pr',
					'flag_image'	=> 'pr.png',
				),
				array(
					'flag_country'	=> 'Qatar',
					'flag_code'		=> 'qa',
					'flag_image'	=> 'qa.png',
				),
				array(
					'flag_country'	=> 'Reunion',
					'flag_code'		=> 're',
					'flag_image'	=> 're.png',
				),
				array(
					'flag_country'	=> 'Romania',
					'flag_code'		=> 'ro',
					'flag_image'	=> 'ro.png',
				),
				array(
					'flag_country'	=> 'Russia',
					'flag_code'		=> 'ru',
					'flag_image'	=> 'ru.png',
				),
				array(
					'flag_country'	=> 'Rwanda',
					'flag_code'		=> 'rw',
					'flag_image'	=> 'rw.png',
				),
				array(
					'flag_country'	=> 'Saint Helena',
					'flag_code'		=> 'sh',
					'flag_image'	=> 'sh.png',
				),
				array(
					'flag_country'	=> 'Saint Kitts and Nevis',
					'flag_code'		=> 'kn',
					'flag_image'	=> 'kn.png',
				),
				array(
					'flag_country'	=> 'Saint Lucia',
					'flag_code'		=> 'lc',
					'flag_image'	=> 'lc.png',
				),
				array(
					'flag_country'	=> 'Saint Pierre and Miquelon',
					'flag_code'		=> 'pm',
					'flag_image'	=> 'pm.png',
				),
				array(
					'flag_country'	=> 'Saint Vincent and the Grenadines',
					'flag_code'		=> 'vc',
					'flag_image'	=> 'vc.png',
				),
				array(
					'flag_country'	=> 'Samoa',
					'flag_code'		=> 'ws',
					'flag_image'	=> 'ws.png',
				),
				array(
					'flag_country'	=> 'San Marino',
					'flag_code'		=> 'sm',
					'flag_image'	=> 'sm.png',
				),
				array(
					'flag_country'	=> 'Sao Tome and Principe',
					'flag_code'		=> 'st',
					'flag_image'	=> 'st.png',
				),
				array(
					'flag_country'	=> 'Saudi Arabia',
					'flag_code'		=> 'sa',
					'flag_image'	=> 'sa.png',
				),
				array(
					'flag_country'	=> 'Senegal',
					'flag_code'		=> 'sn',
					'flag_image'	=> 'sn.png',
				),
				array(
					'flag_country'	=> 'Serbia',
					'flag_code'		=> 'rs',
					'flag_image'	=> 'rs.png',
				),
				array(
					'flag_country'	=> 'Seychelles',
					'flag_code'		=> 'sc',
					'flag_image'	=> 'sc.png',
				),
				array(
					'flag_country'	=> 'Sierra Leone',
					'flag_code'		=> 'sl',
					'flag_image'	=> 'sl.png',
				),
				array(
					'flag_country'	=> 'Singapore',
					'flag_code'		=> 'sg',
					'flag_image'	=> 'sg.png',
				),
				array(
					'flag_country'	=> 'Slovakia',
					'flag_code'		=> 'sk',
					'flag_image'	=> 'sk.png',
				),
				array(
					'flag_country'	=> 'Slovenia',
					'flag_code'		=> 'si',
					'flag_image'	=> 'si.png',
				),
				array(
					'flag_country'	=> 'Solomon Islands',
					'flag_code'		=> 'sb',
					'flag_image'	=> 'sb.png',
				),
				array(
					'flag_country'	=> 'Somalia',
					'flag_code'		=> 'so',
					'flag_image'	=> 'so.png',
				),
				array(
					'flag_country'	=> 'South Africa',
					'flag_code'		=> 'za',
					'flag_image'	=> 'za.png',
				),
				array(
					'flag_country'	=> 'South Georgia and the South Sandwich Islands',
					'flag_code'		=> 'gs',
					'flag_image'	=> 'gs.png',
				),
				array(
					'flag_country'	=> 'Spain',
					'flag_code'		=> 'es',
					'flag_image'	=> 'es.png',
				),
				array(
					'flag_country'	=> 'Sri Lanka',
					'flag_code'		=> 'lk',
					'flag_image'	=> 'lk.png',
				),
				array(
					'flag_country'	=> 'Sudan',
					'flag_code'		=> 'sd',
					'flag_image'	=> 'sd.png',
				),
				array(
					'flag_country'	=> 'Suriname',
					'flag_code'		=> 'sr',
					'flag_image'	=> 'sr.png',
				),
				array(
					'flag_country'	=> 'Svalbard and Jan Mayen',
					'flag_code'		=> 'sj',
					'flag_image'	=> 'sj.png',
				),
				array(
					'flag_country'	=> 'Swaziland',
					'flag_code'		=> 'sz',
					'flag_image'	=> 'sz.png',
				),
				array(
					'flag_country'	=> 'Sweden',
					'flag_code'		=> 'se',
					'flag_image'	=> 'se.png',
				),
				array(
					'flag_country'	=> 'Switzerland',
					'flag_code'		=> 'ch',
					'flag_image'	=> 'ch.png',
				),
				array(
					'flag_country'	=> 'Syria',
					'flag_code'		=> 'sy',
					'flag_image'	=> 'sy.png',
				),
				array(
					'flag_country'	=> 'Taiwan',
					'flag_code'		=> 'tw',
					'flag_image'	=> 'tw.png',
				),
				array(
					'flag_country'	=> 'Tajikistan',
					'flag_code'		=> 'tj',
					'flag_image'	=> 'tj.png',
				),
				array(
					'flag_country'	=> 'Tanzania',
					'flag_code'		=> 'tz',
					'flag_image'	=> 'tz.png',
				),
				array(
					'flag_country'	=> 'Thailand',
					'flag_code'		=> 'th',
					'flag_image'	=> 'th.png',
				),
				array(
					'flag_country'	=> 'Timor-Leste',
					'flag_code'		=> 'tl',
					'flag_image'	=> 'tl.png',
				),
				array(
					'flag_country'	=> 'Togo',
					'flag_code'		=> 'tg',
					'flag_image'	=> 'tg.png',
				),
				array(
					'flag_country'	=> 'Tokelau',
					'flag_code'		=> 'tk',
					'flag_image'	=> 'tk.png',
				),
				array(
					'flag_country'	=> 'Tonga',
					'flag_code'		=> 'to',
					'flag_image'	=> 'to.png',
				),
				array(
					'flag_country'	=> 'Trinidad and Tobago',
					'flag_code'		=> 'tt',
					'flag_image'	=> 'tt.png',
				),
				array(
					'flag_country'	=> 'Tunisia',
					'flag_code'		=> 'tn',
					'flag_image'	=> 'tn.png',
				),
				array(
					'flag_country'	=> 'Turkey',
					'flag_code'		=> 'tr',
					'flag_image'	=> 'tr.png',
				),
				array(
					'flag_country'	=> 'Turkmenistan',
					'flag_code'		=> 'tm',
					'flag_image'	=> 'tm.png',
				),
				array(
					'flag_country'	=> 'Turks and Caicos Islands',
					'flag_code'		=> 'tc',
					'flag_image'	=> 'tc.png',
				),
				array(
					'flag_country'	=> 'Tuvalu',
					'flag_code'		=> 'tv',
					'flag_image'	=> 'tv.png',
				),
				array(
					'flag_country'	=> 'Uganda',
					'flag_code'		=> 'ug',
					'flag_image'	=> 'ug.png',
				),
				array(
					'flag_country'	=> 'Ukraine',
					'flag_code'		=> 'ua',
					'flag_image'	=> 'ua.png',
				),
				array(
					'flag_country'	=> 'United Arab Emirates',
					'flag_code'		=> 'ae',
					'flag_image'	=> 'ae.png',
				),
				array(
					'flag_country'	=> 'United Kingdom',
					'flag_code'		=> 'uk',
					'flag_image'	=> 'uk.png',
				),
				array(
					'flag_country'	=> 'United States',
					'flag_code'		=> 'us',
					'flag_image'	=> 'us.png',
				),
				array(
					'flag_country'	=> 'United States Minor Outlying Islands',
					'flag_code'		=> 'um',
					'flag_image'	=> 'um.png',
				),
				array(
					'flag_country'	=> 'Uruguay',
					'flag_code'		=> 'uy',
					'flag_image'	=> 'uy.png',
				),
				array(
					'flag_country'	=> 'Uzbekistan',
					'flag_code'		=> 'uz',
					'flag_image'	=> 'uz.png',
				),
				array(
					'flag_country'	=> 'Vanuatu',
					'flag_code'		=> 'vu',
					'flag_image'	=> 'vu.png',
				),
				array(
					'flag_country'	=> 'Venezuela',
					'flag_code'		=> 've',
					'flag_image'	=> 've.png',
				),
				array(
					'flag_country'	=> 'Vietnam',
					'flag_code'		=> 'vn',
					'flag_image'	=> 'vn.png',
				),
				array(
					'flag_country'	=> 'Virgin Islands (British)',
					'flag_code'		=> 'vg',
					'flag_image'	=> 'vg.png',
				),
				array(
					'flag_country'	=> 'Virgin Islands (US)',
					'flag_code'		=> 'vi',
					'flag_image'	=> 'vi.png',
				),
				array(
					'flag_country'	=> 'Wallis and Futuna',
					'flag_code'		=> 'wf',
					'flag_image'	=> 'wf.png',
				),
				array(
					'flag_country'	=> 'Western Sahara',
					'flag_code'		=> 'eh',
					'flag_image'	=> 'eh.png',
				),
				array(
					'flag_country'	=> 'Yemen',
					'flag_code'		=> 'ye',
					'flag_image'	=> 'ye.png',
				),
				array(
					'flag_country'	=> 'Zambia',
					'flag_code'		=> 'zm',
					'flag_image'	=> 'zm.png',
				),
				array(
					'flag_country'	=> 'Zimbabwe',
					'flag_code'		=> 'zw',
					'flag_image'	=> 'zw.png',
				),
			),
		),
	),

		// at last, modules to make it happen
		'module_add' => array(
			// First, lets add a new category named COUNTRY FLAGS to ACP_CAT_DOT_MODS
			array('acp', 'ACP_CAT_DOT_MODS', 'COUNTRY FLAGS'),

			// next let's add our modules
			array('acp', 'COUNTRY FLAGS', array(
					'module_basename'	=> 'flags',
					'modes'				=> array('flags'),
					'module_auth'		=> 'a_flags',
				),
			),
			array('acp', 'COUNTRY FLAGS', array(
					'module_basename'	=> 'users',
					'modes'				=> array('flag'),
					'module_auth'		=> 'a_user',
				),
			),
			array('acp', 'COUNTRY FLAGS', array(
					'module_basename'	=> 'board',
					'modes'				=> array('flag'),
					'module_auth'		=> 'a_board',
				),
			),
		),
	)
);

// Include the UMIF Auto file and everything else will be handled automatically.
include($phpbb_root_path . 'umil/umil_auto.' . $phpEx);

/*
* @param string $action The action (install|update|uninstall) will be sent through this.
* @param string $version The version this is being run for will be sent through this.
*/
function flags_table($action, $version)
{
	global $db, $table_prefix, $umil;

	if ($action == 'uninstall')
	{
		// Run this when uninstalling

		if ($umil->table_exists('phpbb_flags'))
		{
			//table to remove...delete it.
			$sql = 'DROP TABLE phpbb_flags';
			$db->sql_query($sql);
		}

		return 'FLAGS_TABLE_DELETED';

	}
}

?>
